Subject: Re: [OPSAWG] Request for review: draft-boydseda-ipfix-psamp-bulk-data-yang-model

From: Benoit Claise <[email-masked]>
Date: Tue, 25 Aug 2020 14:20:07 +0200

draft-boydseda-ipfix-psamp-bulk-data-yang-model authors,

I'm busy reviewing this draft, and therefore I'm reviewing all related 
emails.
It's a little bit sad that Tom provided some feedback on Feb 7th and 
that this feedback is not taken into account in your March 9th version.
For ex, the I-D references, tentative structure

Regards, Benoit

On 07/02/2020 13:44, tom petch wrote:
> Trouble is, it is so big.  If I had a quiet week on a beach somewhere it would pass the time nicely.
>
> At a glance.
>
> Too many TBD; those in IANA Considerations  can be filled in now, ditto those in the YANG module - it is all standard stuff.
>
> The modules import and those imports lack reference statements.
>
> Several RFC are referenced but are not in the I-D References
> RFC5101
> RFC5102
> RFC4133
>
> Lots of features with a sort of Cartesian explosion ;  do we need features for TCP,UDP, SCTP?
>
> feature statements should have references
>
> prefix are intended to be short and easy to use; and consistent.  This seems lacking with ietf-bde for ipfix bulk data export but ietf-ipfix-packet-sampling for ietf ipfix packet sampling; the former is inconsistent with a lack of ipfix, the latter way too long.  Perhaps ipfix-ps and ipfix-bde; I do not think that the ietf is  needed.
>
> 6.3.1 'tentative structure'
>
> tom petch
>
>
> ________________________________________
> From: OPSAWG <[email-masked]> on behalf of Warren Kumari <[email-masked]>
> Sent: 22 January 2020 22:38
> To: [email-masked]; [email-masked]; Paul Aitken; Gerhard Muenz; Benoit Claise
> Subject: [OPSAWG] Request for review: draft-boydseda-ipfix-psamp-bulk-data-yang-model
>
> Hi there all,
>
> Back in Nov 2018 Ignas agreed to AD sponsor this document. Directorate
> reviews were requested in Nov 2019[0], and two OpsDir reviews were
> supplied, both with the status "OPSDIR Last Call Review: Not Ready
> (partially completed)" :
> 1: https://datatracker.ietf.org/doc/review-boydseda-ipfix-psamp-bulk-data-yang-model-02-opsdir-lc-ersue-2019-12-01/
> 2: https://datatracker.ietf.org/doc/review-boydseda-ipfix-psamp-bulk-data-yang-model-02-opsdir-lc-clarke-2019-12-20/
> A third reviewer recently let us know that, due to other commitments /
> being over-committed  they no longer have the time to complete this
> review either.
>
> However, the reviewers all felt that additional review / discussion
> was in order, and so I'm politely asking / begging OpsAWG to review /
> discuss.
>
> >From the "Guidance on Area Director Sponsoring of Documents"
> (https://ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/)
> :
> "The exact nature of the review within the IETF is not specified, but
> it is expected that documents be posted for review in the relevant WG
> mailing lists. Often no relevant mailing list exists, in which case
> area-specific or IETF main discussion list can be used. Individual
> reviewers, review teams, and review boards for specific topics can
> also be used. If no sufficient review has been obtained, the AD should
> solicit it explicitly."
>
> PSAMP (and IPFIX) is closed, and much of this discussion now occurs in
> OpsAWG. Joe (as one of the OpsAWG chairs) has agreed to let us use the
> OpsAWG list for this discussion / feedback, etc.
>
> To help jog people's memory, get the ball rolling, this was discussed
> at IETF 103:
> Minutes: https://datatracker.ietf.org/doc/minutes-103-opsawg/
> Video (link to start of preso):  https://youtu.be/PDVOfKqOb3Y?t=6680
>
> So, please, read the draft, and the reviews, and provide feedback here....
>
>
> I'd also like to sincerely thank Mehmet, Joe and Benoit for their
> (partial) reviews, and Gunter Van de Velde for organizing the OpsDir -
> they are incredibly helpful.
>
> W
> [0]: https://datatracker.ietf.org/doc/draft-boydseda-ipfix-psamp-bulk-data-yang-model/history/
>
> --
> I don't think the execution is relevant when it was obviously a bad
> idea in the first place.
> This is like putting rabid weasels in your pants, and later expressing
> regret at having chosen those particular rabid weasels and that pair
> of pants.
>     ---maf
>
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
> .

---

From: Joey Boyd <[email-masked]>
Date: Tue, 25 Aug 2020 13:52:27 +0000

Benoit,

Thank you for reviewing the draft. I’m not sure how we missed incorporating Tom’s comments but it was not intentional. These will be included, along with any new review comments, in the next draft version.

Regards,
Joey

From: Benoit Claise <[email-masked]>
Sent: Tuesday, August 25, 2020 7:20 AM
To: tom petch <[email-masked]>; Warren Kumari <[email-masked]>; [email-masked]; [email-masked]; Paul Aitken <[email-masked]>; Gerhard Muenz <[email-masked]>
Cc: tom petch <[email-masked]>
Subject: Re: [OPSAWG] Request for review: draft-boydseda-ipfix-psamp-bulk-data-yang-model

Regards, Benoit

On 07/02/2020 13:44, tom petch wrote:
> From: OPSAWG <[email-masked]<mailto:[email-masked]>> on behalf of Warren Kumari <[email-masked]<mailto:[email-masked]>>
> To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Paul Aitken; Gerhard Muenz; Benoit Claise
> 1: https://datatracker.ietf.org/doc/review-boydseda-ipfix-psamp-bulk-data-yang-model-02-opsdir-lc-ersue-2019-12-01/<https://protect-us.mimecast.com/s/fHKsCjR6P9ulz211uxob64?domain=datatracker.ietf.org>
> 2: https://datatracker.ietf.org/doc/review-boydseda-ipfix-psamp-bulk-data-yang-model-02-opsdir-lc-clarke-2019-12-20/<https://protect-us.mimecast.com/s/_QYgCkRXP0uYD733c09RDc?domain=datatracker.ietf.org>
> (https://ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/<https://protect-us.mimecast.com/s/jPeTClYEP9cOWyqqFNEl80?domain=ietf.org>)
> :
> Minutes: https://datatracker.ietf.org/doc/minutes-103-opsawg/<https://protect-us.mimecast.com/s/EQXmCmZNP9h1VZLLhwfawn?domain=datatracker.ietf.org>
> Video (link to start of preso): https://youtu.be/PDVOfKqOb3Y?t=6680<https://protect-us.mimecast.com/s/BqwhCn56P9cl4zppuzEQDx?domain=youtu.be>
>
> [0]: https://datatracker.ietf.org/doc/draft-boydseda-ipfix-psamp-bulk-data-yang-model/history/<https://protect-us.mimecast.com/s/WnWdCo2XPgFlAMppummoLE?domain=datatracker.ietf.org>
>
> --
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/opsawg<https://protect-us.mimecast.com/s/T7_BCpYLPjcQgGEEs90QAH?domain=ietf.org>
> .